# Django settings for blog project.
import os
ROOT_PATH = os.path.dirname(__file__)

LIFEFLOW_KEYWORDS = "Blog"
LIFEFLOW_DESCRIPTION = "Someone's blog about programming and other things."
LIFEFLOW_AUTHOR_NAME = "Someone"
LIFEFLOW_BLOG_NAME = "Just Another Blog"
LIFEFLOW_CUSTOM_CSS = "/media/lifeflow/skins/lethain.css"
#LIFEFLOW_CUSTOM_CSS = "/media/lifeflow/skins/substanceis.css"
LIFEFLOW_USE_PROJECTS = True
LIFEFLOW_CUSTOM_JS_HEADER = None
LIFEFLOW_CUSTOM_JS_FOOTER = None
#LIFEFLOW_MODS = ('static_files',)
#WEB_ROOT = "/Users/will/django/blog/static/"

LOGIN_URL = u"/editor/login/"
LOGOUT_URL = u"/editor/logout/"
LOGIN_REDIRECT_URL = "/editor/"

DEBUG = True
TEMPLATE_DEBUG = DEBUG

CACHE_BACKEND="locmem:///"
CACHE_MIDDLEWARE_ANONYMOUS_ONLY = True
CACHE_MIDDLEWARE_SECONDS = 10

ADMINS = (
    #('Someone', 'someone@example.com'),
)

MANAGERS = ADMINS

DATABASE_ENGINE = 'sqlite3'           # 'postgresql_psycopg2', 'postgresql', 'mysql', 'sqlite3' or 'oracle'.
DATABASE_NAME = os.path.join(ROOT_PATH, 'lifeflow.sqlite')            # Or path to database file if using sqlite3.
DATABASE_USER = ''             # Not used with sqlite3.
DATABASE_PASSWORD = ''         # Not used with sqlite3.
DATABASE_HOST = ''             # Set to empty string for localhost. Not used with sqlite3.
DATABASE_PORT = ''             # Set to empty string for default. Not used with sqlite3.

# Local time zone for this installation. Choices can be found here:
# http://www.postgresql.org/docs/8.1/static/datetime-keywords.html#DATETIME-TIMEZONE-SET-TABLE
# although not all variations may be possible on all operating systems.
# If running in a Windows environment this must be set to the same as your
# system time zone.
TIME_ZONE = 'America/Chicago'

# Language code for this installation. All choices can be found here:
# http://www.w3.org/TR/REC-html40/struct/dirlang.html#langcodes
# http://blogs.law.harvard.edu/tech/stories/storyReader$15
LANGUAGE_CODE = 'en-us'

SITE_ID = 1

# If you set this to False, Django will make some optimizations so as not
# to load the internationalization machinery.
USE_I18N = True

# Absolute path to the directory that holds media.
# Example: "/home/media/media.lawrence.com/"
MEDIA_ROOT = '/Users/username/git/lifeflow/media'

# URL that handles the media served from MEDIA_ROOT. Make sure to use a
# trailing slash if there is a path component (optional in other cases).
# Examples: "http://media.lawrence.com", "http://example.com/media/"
MEDIA_URL = 'http://127.0.0.1:8000/media/'

# URL prefix for admin media -- CSS, JavaScript and images. Make sure to use a
# trailing slash.
# Examples: "http://foo.com/media/", "/media/".
ADMIN_MEDIA_PREFIX = '/admin_media/'

# Make this unique, and don't share it with anybody.
SECRET_KEY = '(1n*=h9o!&kzfdby5qt5ek*@f7(mri@i590(81_9+hscfk43ik'

# List of callables that know how to import templates from various sources.
TEMPLATE_LOADERS = (
    'django.template.loaders.filesystem.load_template_source',
    'django.template.loaders.app_directories.load_template_source',
#     'django.template.loaders.eggs.load_template_source',
)

MIDDLEWARE_CLASSES = (
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.middleware.cache.CacheMiddleware',
    'django.middleware.doc.XViewMiddleware',
)

ROOT_URLCONF = 'blog.urls'

TEMPLATE_DIRS = (
    # Put strings here, like "/home/html/django_templates" or "C:/www/django/templates".
    # Always use forward slashes, even on Windows.
    # Don't forget to use absolute paths, not relative paths.
    'Users/will/git/lifeflow/templates',
)

TEMPLATE_CONTEXT_PROCESSORS = ("django.core.context_processors.auth",
                               "django.core.context_processors.debug",
                               "django.core.context_processors.i18n",
                               "django.core.context_processors.media",
                               "lifeflow.context.blog",
                               )

INSTALLED_APPS = (
    'lifeflow',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.sites',
    'django.contrib.admin',
    'django.contrib.markup',
)
